curl --request GET \
--url https://api.octav.fi/v1/beacon/validators/deposits/index/{index} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"slot": 123,
"epoch": 123,
"timestamp": 123,
"amount": "<string>",
"depositIndex": 123,
"withdrawalCredentials": "<string>",
"withdrawalAddress": "<string>"
}
],
"offset": 123,
"limit": 123,
"totalRows": 123,
"pages": 123
}Paginated list of deposits made to a validator by index.
Cost: 1 credit per call. Automatically refunded on 4xx/5xx responses.
Access: Requires portfolio entitlement.
Rate limit: 360 req/min (shared with portfolio bucket)
Get your API key: Dev Portal
curl --request GET \
--url https://api.octav.fi/v1/beacon/validators/deposits/index/{index} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"slot": 123,
"epoch": 123,
"timestamp": 123,
"amount": "<string>",
"depositIndex": 123,
"withdrawalCredentials": "<string>",
"withdrawalAddress": "<string>"
}
],
"offset": 123,
"limit": 123,
"totalRows": 123,
"pages": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.octav.fi/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Non-negative validator index
x >= 0Pagination offset.
Number of records to return. Max 10.
x <= 10Was this page helpful?